package com.yanzuoguang.util.vo;

import com.yanzuoguang.util.base.ObjectHelper;

/**
 * 获取关键字
 *
 * @param <T>
 * @author 颜佐光
 */
public abstract class DataDaoKey<T> {
    /**
     * 获取关键字
     *
     * @param from 来源对象
     * @return
     */
    abstract String getKey(T from);

    /**
     * 将当前对象的属性，写入到历史对象中，用于更新函数
     *
     * @param history
     * @param now
     */
    public void set(T history, T now) {
        ObjectHelper.writeWithFrom(history, now);
    }
}
